## xdaliclock 2.44+debian

=== Makefile ===
# xdaliclock, Copyright (c) 1991-2006 by Jamie Zawinski.

SHELL		= /bin/sh
TARFILES	= README Makefile version.h \
		  config.guess config.sub install-sh \
		  mac128/README mac128/*.*
NUMBERS		= font/dalifont*.{gif,png,ai,psd.gz} font/*.{c,xbm}
TAR		= tar


default:
	@echo ''; \
	 echo '        please make one of: "x", "palm", "webos", "android", "all", or "clean"'; \
	 echo ''; \
	 exit 5

all:: OSX webos palm X11 android

X11::   x11
X::     X11
x::     X11
gtk::   GTK
OSX::   osx
palm::  Palm
webos:: WebOS
android:: Android

x11:: X11/Makefile
	@echo '==============================================================='
	@echo ''
	cd X11 ; make

GTK:: gtk/Makefile
	@echo '==============================================================='
	@echo ''
	cd gtk ; make

osx::
	@echo '==============================================================='
	@echo ''
	cd OSX ; make

Palm:: palm/Makefile
	@echo '==============================================================='
	@echo ''
	cd palm ; make

WebOS:: webos/Makefile
	@echo '==============================================================='
	@echo ''
	cd webos ; make

pebble::
	@echo '==============================================================='
	@echo ''
	cd pebble ; pebble build

Android:: android/Makefile
	@echo '==============================================================='
	@echo ''
	cd android ; make

X11/Makefile:
	@echo '==============================================================='
	@echo ''
	cd X11 ; ./configure

gtk/Makefile:
	@echo '==============================================================='
	@echo ''
	cd gtk ; ./configure

palm/Makefile:
	@echo '==============================================================='
	@echo ''
	cd palm ; ./configure --host=m68k-palmos --build=`../config.guess`

clean: X11/Makefile palm/Makefile
	cd X11 ; make $@
	cd gtk ; make $@
	cd OSX ; make $@
	cd palm ; make $@
	cd webos ; make $@
	cd pebble ; make $@
	cd android ; make $@

distclean: X11/Makefile gtk/Makefile palm/Makefile
	cd X11 ; make $@
	cd gtk ; make $@
	cd OSX ; make $@
	cd palm ; make $@
	cd webos ; make $@
	cd pebble ; make $@
	cd android ; make $@

install:
	@echo ''; \
	 echo '      - to install the X11 version: "cd X11; make install".';   \
	 echo ''; \
	 echo '      - to install the MacOS version: "cd OSX; make"';	     \
	 echo '        then copy "build/Development/DaliClock.app"';	     \
	 echo '        to your Applications folder."';			     \
	 echo ''; \
	 echo '      - to install the PalmOS version: "cd palm; make", and'; \
	 echo '        then download "daliclock.prc" to your PalmOS device.';\
	 echo ''; \
	 echo '      - to install the WebOS version: "cd webos; make", and'; \
	 echo '        then send the .ipk to your Palm WebOS device.';\
	 echo ''; \
	 echo '      - to install the android version: "cd android; make", and'; \
	 echo '        then send the .apk to your android device.';\
	 echo ''; \
	 exit 5

dmg::
	cd OSX ; $(MAKE) dmg

apk::
	cd android ; $(MAKE) apk

tar: X11/Makefile gtk/Makefile palm/Makefile apk _tar
_tar:
	@								    \
  for dir in X11 gtk palm ; do						    \
   ( cd $$dir ;								    \
     rm -f configure ;							    \
     autoconf263 ;							    \
     ./config.status ;							    \
     $(MAKE) distdepend );						    \
  done ;								    \
  (cd X11; $(MAKE) update_spec_version) ;				    \
  (cd gtk; $(MAKE) update_spec_version) ;				    \
  (cd palm; $(MAKE) update_rsc_version) ;				    \
  (cd webos; $(MAKE) update_release_date) ;				    \
  (cd OSX; $(MAKE) update_plist_version) ;				    \
  (cd android; $(MAKE) update_gradle_version update_gradle_app_id) ;	    \
  NAME=`sed -n								    \
  's/[^0-9]*\([0-9]\.[0-9][0-9]*\).*/xdaliclock-\1/p' version.h` ;	    \
  rm -rf $$NAME ; ln -s . $$NAME ;					    \
  FILES= ;								    \
  for subdir in X11 gtk palm OSX webos pebble android ; do		    \
    d=`pwd` ;								    \
    cd $$subdir ;							    \
    FILES="$$FILES `$(MAKE) echo_tarfiles				    \
      | grep -v '^.*make\['						    \
      | sed \"s|^|$$subdir/|g;s| | $$subdir/|g\"			    \
      ` ";								    \
    cd $$d ; done ;							    \
  echo creating tar file archive/$${NAME}.tar.gz... ;			    \
  export COPYFILE_DISABLE=true ;					    \
  GZIP="-9v" $(TAR) --check-links -vczf archive/$${NAME}.tar.gz		    \
    `echo $(TARFILES) $$FILES $(NUMBERS)				    \
   | sed "s|^|$$NAME/|g; s| | $$NAME/|g" ` ;				    \
  rm $$NAME ;								    \
  ls -ldF archive/$${NAME}.tar.gz

www::
	@								    \
  DEST=$$HOME/www/xdaliclock ;						    \
  VERS=`sed -n 's/[^0-9]*\([0-9]\.[0-9][0-9]*\).*/\1/p' version.h`	 ;  \
  VERS2=`echo $$VERS | sed 's/[.]//g'`					 ;  \
  HEAD="daliclock-$$VERS"						 ;  \
  HEAD2="daliclock-$$VERS2"						 ;  \
  HEAD3="DaliClock-$$VERS2"						 ;  \
  TAR="x$$HEAD.tar.gz"							 ;  \
  DMG="$$HEAD3.dmg"							 ;  \
  APK="$$HEAD3.apk"							 ;  \
									    \
  if [ ! -f archive/$$TAR ]; then					    \
    echo "archive/$$TAR does not exist!  Did you forget to \`make tar'?" ;  \
    exit 1 ; 								    \
  fi ;									    \
									    \
  if [ ! -f archive/$$DMG ]; then					    \
    echo "archive/$$DMG does not exist!  Did you forget to \`make dmg'?" ;  \
    exit 1 ; 								    \
  fi ;									    \
									    \
  if [ ! -f archive/$$APK ]; then					    \
    echo "archive/$$APK does not exist!  Did you forget to \`make apk'?" ;  \
    exit 1 ; 								    \
  fi ;									    \
  chmod a-w archive/$$TAR ;						    \
  chmod a-w archive/$$DMG ;						    \
  chmod a-w archive/$$APK ;						    \
									    \
  if [ -f $$DEST/$$TAR ]; then						    \
    /bin/echo -n "WARNING: $$DEST/$$TAR already exists!  Overwrite? ";	    \
    read line;								    \
    if [ "x$$line" != "xyes" -a "x$$line" != "xy" ]; then		    \
      exit 1 ; 								    \
    fi ;								    \
  fi ;									    \
									    \
  if [ -f $$DEST/$$DMG ]; then						    \
    /bin/echo -n "WARNING: $$DEST/$$DMG already exists!  Overwrite? ";	    \
    read line;								    \
    if [ "x$$line" != "xyes" -a "x$$line" != "xy" ]; then		    \
      exit 1 ; 								    \
    fi ;								    \
  fi ;									    \
									    \
  if [ -f $$DEST/$$APK ]; then						    \
    /bin/echo -n "WARNING: $$DEST/$$APK already exists!  Overwrite? ";	    \
    read line;								    \
    if [ "x$$line" != "xyes" -a "x$$line" != "xy" ]; then		    \
      exit 1 ; 								    \
    fi ;								    \
  fi ;									    \
									    \
  ( cd $$DEST ;	git pull . ) ;						    \
									    \
  cp -p archive/$$TAR $$DEST/$$TAR ;					    \
  chmod u+w $$DEST/$$TAR ;						    \
									    \
  cp -p archive/$$DMG $$DEST/$$DMG ;					    \
  chmod u+w $$DEST/$$DMG ;						    \
									    \
  cp -p archive/$$APK $$DEST/$$APK ;					    \
  chmod u+w $$DEST/$$APK ;						    \
									    \
  cp -p OSX/updates.xml $$DEST/ ;					    \
									    \
  cd $$DEST ;								    \
									    \
  TMP=/tmp/xd.$$$$ ;							    \
  sed -e "s/daliclock-[0-9]\.[0-9][0-9]*/$$HEAD/g"			    \
      -e "s/daliclock-[0-9][0-9][0-9]*/$$HEAD2/g"			    \
      -e "s/DaliClock-[0-9][0-9][0-9]*/$$HEAD3/g"			    \
      index.html > $$TMP ;						    \
  echo '' ;								    \
  diff -U0 index.html $$TMP ;						    \
  echo '' ;								    \
									    \
  for EXT in tar.gz dmg apk ; do					    \
    OLDEST=`ls *.$$EXT |						    \
      fgrep -v 235.dmg |						    \
      fgrep -v 243.dmg |						    \
      head -n 1` ;							    \
    /bin/echo -n "Delete $$DEST/$$OLDEST? ";				    \
    read line;								    \
    if [ "x$$line" = "xyes" -o "x$$line" = "xy" ]; then			    \
      set -x ;								    \
      rm $$OLDEST ;							    \
      git rm $$OLDEST ;							    \
      set +x ;								    \
    fi ;								    \
  done ;								    \
									    \
  cat $$TMP > index.html ;						    \
  rm -f $$TMP ;								    \
									    \
  set -x ;								    \
  git add index.html updates.xml $$TAR $$DMG $$APK ;			    \
  git commit -m "$$VERS" ;						    \
  git push

=== debian/changelog ===
xdaliclock (2.44+debian-3) unstable; urgency=low

  * debian/rules:
    + Use autoreconf to regenerate configure (Closes: #941035)
  * debian/control:
    + Updated Standards-Version to 4.6.1
    + Switched to debhelper-compat.
    + Added 'Rules-Requires-Root' field.
  * Updated debian/watch.

 -- Kartik Mistry <kartik@debian.org>  Mon, 18 Jul 2022 08:07:19 +0530

xdaliclock (2.44+debian-2) unstable; urgency=low

  * debian/patches/cross.patch:
    + Added patch to fix FTBFS with cross compilation. Thanks to Helmut Grohne.
      (Closes: #941035)

 -- Kartik Mistry <kartik@debian.org>  Tue, 24 Sep 2019 07:54:33 +0530

xdaliclock (2.44+debian-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Updated Standards-Version to 4.4.0
  * Added Salsa CI Pipeline config.
  * debian/rules:
    + Added CPPFLAGS.
  * Bumped dh to 12.

 -- Kartik Mistry <kartik@debian.org>  Thu, 19 Sep 2019 13:44:25 +0400

=== debian/control ===
Source: xdaliclock
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dpkg-dev (>= 1.16.1.1),
               libx11-dev,
               libxext-dev,
               libxt-dev,
               x11proto-core-dev
Maintainer: Kartik Mistry <kartik@debian.org>
Standards-Version: 4.6.1
Homepage: https://www.jwz.org/xdaliclock/
Vcs-Git: https://salsa.debian.org/debian/xdaliclock.git
Vcs-Browser: https://salsa.debian.org/debian/xdaliclock
Rules-Requires-Root: no

Package: xdaliclock
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Melting digital clock
 The xdaliclock program displays a digital clock; when a digit changes, it
 "melts" into its new shape.
 .
 It can display in 12 or 24 hour modes, and displays the date when a mouse
 button is held down. It has two large fonts built into it, but it can animate
 most other fonts that contain all of the digits. It can also do some funky
 psychedelic colormap cycling, and can use the "shape" extension so that the
 window is shaped like the digits.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

override_dh_auto_configure:
	cd X11 && ( CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" ./configure \
		--host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr --mandir=/usr/share/man )

override_dh_auto_build:
	cd X11 && $(MAKE) CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)"

override_dh_auto_clean:
	[ ! -f X11/Makefile ] || ( cd X11 && $(MAKE) distclean )

override_dh_auto_install:
	dh_installdirs usr/share/man/man1 usr/bin
	cd X11 && $(MAKE) install_prefix=$(CURDIR)/debian/xdaliclock install

%:
	dh $@ --with autoreconf

## xdaliclock 2.46

=== Makefile ===
--- 
+++ 
@@ -1,61 +1,58 @@
-# xdaliclock, Copyright (c) 1991-2006 by Jamie Zawinski.
+# xdaliclock, Copyright (c) 1991-2022 by Jamie Zawinski.
 
 SHELL		= /bin/sh
 TARFILES	= README Makefile version.h \
-		  config.guess config.sub install-sh \
 		  mac128/README mac128/*.*
 NUMBERS		= font/dalifont*.{gif,png,ai,psd.gz} font/*.{c,xbm}
-TAR		= tar
+TAR		= gnutar
+TAR_ARGS	= --owner=0 --group=0 --posix --no-acls --no-xattrs --no-selinux
 
 
 default:
 	@echo ''; \
-	 echo '        please make one of: "x", "palm", "webos", "android", "all", or "clean"'; \
+	 echo '        please make one of: "x", "osx", "palm", "webos", "android", "all", or "clean"'; \
 	 echo ''; \
 	 exit 5
 
 all:: OSX webos palm X11 android
 
-X11::   x11
-X::     X11
-x::     X11
-gtk::   GTK
-OSX::   osx
-palm::  Palm
-webos:: WebOS
-android:: Android
-
-x11:: X11/Makefile
+x::     _x11
+osx::   _osx
+palm::  _Palm
+webos:: _WebOS
+android:: _Android
+
+_x11:: X11/Makefile
 	@echo '==============================================================='
 	@echo ''
 	cd X11 ; make
 
-GTK:: gtk/Makefile
-	@echo '==============================================================='
-	@echo ''
-	cd gtk ; make
-
-osx::
+_classic:: X11/Xlib-classic/Makefile
+	@echo '==============================================================='
+	@echo ''
+	cd X11/Xlib-classic ; make
+
+_osx::
 	@echo '==============================================================='
 	@echo ''
 	cd OSX ; make
 
-Palm:: palm/Makefile
+_Palm:: palm/Makefile
 	@echo '==============================================================='
 	@echo ''
 	cd palm ; make
 
-WebOS:: webos/Makefile
+_WebOS:: webos/Makefile
 	@echo '==============================================================='
 	@echo ''
 	cd webos ; make
 
-pebble::
+_pebble::
 	@echo '==============================================================='
 	@echo ''
 	cd pebble ; pebble build
 
-Android:: android/Makefile
+_Android:: android/Makefile
 	@echo '==============================================================='
 	@echo ''
 	cd android ; make
@@ -65,10 +62,10 @@
 	@echo ''
 	cd X11 ; ./configure
 
-gtk/Makefile:
-	@echo '==============================================================='
-	@echo ''
-	cd gtk ; ./configure
+X11/Xlib-classic/Makefile:
+	@echo '==============================================================='
+	@echo ''
+	cd X11/Xlib-classic ; ./configure
 
 palm/Makefile:
 	@echo '==============================================================='
@@ -77,16 +74,16 @@
 
 clean: X11/Makefile palm/Makefile
 	cd X11 ; make $@
-	cd gtk ; make $@
+	cd X11/Xlib-classic ; make $@
 	cd OSX ; make $@
 	cd palm ; make $@
 	cd webos ; make $@
 	cd pebble ; make $@
 	cd android ; make $@
 
-distclean: X11/Makefile gtk/Makefile palm/Makefile
+distclean: X11/Makefile X11/Xlib-classic/Makefile palm/Makefile
 	cd X11 ; make $@
-	cd gtk ; make $@
+	cd X11/Xlib-classic ; make $@
 	cd OSX ; make $@
 	cd palm ; make $@
 	cd webos ; make $@
@@ -118,18 +115,18 @@
 apk::
 	cd android ; $(MAKE) apk
 
-tar: X11/Makefile gtk/Makefile palm/Makefile apk _tar
+tar: X11/Makefile X11/Xlib-classic/Makefile palm/Makefile apk _tar
 _tar:
 	@								    \
-  for dir in X11 gtk palm ; do						    \
+  for dir in X11 X11/Xlib-classic palm ; do				    \
    ( cd $$dir ;								    \
-     rm -f configure ;							    \
-     autoconf263 ;							    \
+     echo "#### $$dir" ;						    \
+     echo rm -f configure ;						    \
+     echo autoconf263 ;							    \
      ./config.status ;							    \
-     $(MAKE) distdepend );						    \
+     echo $(MAKE) distdepend );						    \
   done ;								    \
   (cd X11; $(MAKE) update_spec_version) ;				    \
-  (cd gtk; $(MAKE) update_spec_version) ;				    \
   (cd palm; $(MAKE) update_rsc_version) ;				    \
   (cd webos; $(MAKE) update_release_date) ;				    \
   (cd OSX; $(MAKE) update_plist_version) ;				    \
@@ -138,17 +135,18 @@
   's/[^0-9]*\([0-9]\.[0-9][0-9]*\).*/xdaliclock-\1/p' version.h` ;	    \
   rm -rf $$NAME ; ln -s . $$NAME ;					    \
   FILES= ;								    \
-  for subdir in X11 gtk palm OSX webos pebble android ; do		    \
+  for subdir in X11 X11/Xlib-classic palm OSX webos pebble android ; do	    \
     d=`pwd` ;								    \
     cd $$subdir ;							    \
-    FILES="$$FILES `$(MAKE) echo_tarfiles				    \
+    FILES2="`$(MAKE) echo_tarfiles					    \
       | grep -v '^.*make\['						    \
       | sed \"s|^|$$subdir/|g;s| | $$subdir/|g\"			    \
       ` ";								    \
+    FILES="$$FILES $$FILES2" ;						    \
     cd $$d ; done ;							    \
-  echo creating tar file archive/$${NAME}.tar.gz... ;			    \
+  echo "####" creating tar file archive/$${NAME}.tar.gz... ;		    \
   export COPYFILE_DISABLE=true ;					    \
-  GZIP="-9v" $(TAR) --check-links -vczf archive/$${NAME}.tar.gz		    \
+  GZIP="-9v" $(TAR) --check-links -vczf archive/$${NAME}.tar.gz $(TAR_ARGS) \
     `echo $(TARFILES) $$FILES $(NUMBERS)				    \
    | sed "s|^|$$NAME/|g; s| | $$NAME/|g" ` ;				    \
   rm $$NAME ;								    \

=== OSX/Makefile ===
# Dali Clock for MacOS X, Copyright © 2005-2022 Jamie Zawinski.

XCODE_APP = /Applications/Xcode.app

# To build savers that will run on MacOS 10.6 and 10.7, Xcode 5.0.2 must
# be used (as that's the latest version of Xcode that ships with a version
# of clang that implements "-fobjc-gc").  However, Xcode 5.0.2 will not
# launch on MacOS 10.11 or later.
#
# XCODE_APP = /Applications/Xcode-5.0.2.app

TARGETS    = -target DaliClock \
	     -target DaliClockStore \
	     -target DaliClockSaver \
	     -target DaliClockWidget
#ARCH      = -arch i386 -arch x86_64 ONLY_ACTIVE_ARCH=NO
XCODEBUILD = $(XCODE_APP)/Contents/Developer/usr/bin/xcodebuild
SETFILE    = $(XCODE_APP)/Contents/Developer/Tools/SetFile
SETICON    = ./seticon.pl

# Using $(MAKE) directly means the shell executes things even with "make -n"
MAKE2 = $(MAKE)


default: release
all: debug release

clean:
	-rm -rf build
#	$(XCODEBUILD) $(TARGETS) clean

distclean:
	-rm -f config.status config.cache config.log \
	  *.bak *.rej TAGS *~ "#"*
	-rm -rf autom4te*.cache
	-rm -rf build
#	-rm -rf Sparkle.framework

distdepend:: Sparkle.framework
distdepend:: update_plist_version
distdepend:: update_bindist_version

debug: distdepend
	$(XCODEBUILD) $(ARCH) $(TARGETS) -configuration Debug   build

release:: distdepend
	$(XCODEBUILD) $(ARCH) $(TARGETS) -configuration Release build
	spctl --assess --type execute build/Release/*.app

release:: check_versions

Sparkle.framework:
	rm -rf bin sparkle-bin
	tar -vxjf ../archive/Sparkle-1.27.0.tar.xz \
	  --exclude CHANGELOG \
	  --exclude LICENSE \
	  --exclude SampleAppcast.xml \
	  --exclude Sparkle.framework.dSYM \
	  --exclude Sparkle\ Test\ App\*
	mv bin sparkle-bin


check_versions:
	@\
  U=../version.h ;							\
  V=`sed -n 's/[^0-9]*\([0-9]\.[0-9][^. ;]*\).*/\1/p' < $$U` ;		\
  DIR=build/Release ;							\
  RESULT=0 ;								\
  for P in `find $$DIR -name Info.plist |				\
	    grep -v Sparkle.framework` ; do				\
     V2=`perl -0000 -n -e						\
	'm@<key>CFBundleVersion</key>\s*<string>(.*?)</string>@si 	\
	 && print $$1' < $$P` ;						\
     if [ "$$V2" != "$$V" ] ; then					\
       echo "Wrong version: $$P ($$V2)" ;				\
       RESULT=1 ;							\
     fi ;								\
  done ;								\
  if [ "$$RESULT" = 0 ]; then echo "Versions match ($$V2)" ; fi ;	\
  exit $$RESULT


echo_tarfiles:
	@echo `find . \
	  \( \( -name '.??*' -o -name build -o -name CVS -o -name '*~*' \
	     -o -name 'jwz.*' -o -name '*.widgetplugin' \
	     -o -name '*.psd' -o -name '*.ai'  -o -name sparkle-bin \) \
	     -prune \) \
	  -o \( -type f -o -type l \) -print \
	| sed 's@^\./@@' \
	| sort`

update_plist_version:
	@								      \
  SS="AppInfo.plist SaverInfo.plist PluginInfo.plist iPhoneInfo.plist *.wdgt/Info.plist" ;   \
  SRC=../version.h ;							      \
  V=`sed -n 's/[^0-9]*\([0-9]\.[0-9][^. ]*\).*/\1/p' $$SRC` ;		      \
  Y=`date +%Y` ;							      \
  T=/tmp/xs.$$$$ ;							      \
  for S in $$SS ; do							      \
    /bin/echo -n "Updating version number in $$S to \"$$V\"... " ;	      \
    KEYS1="CFBundleVersion|CFBundleShortVersionString" ;		      \
    KEYS2="NSHumanReadableCopyright|CFBundleLongVersionString|CFBundleGetInfoString" ; \
    perl -0777 -pne							      \
      "s@(<key>($$KEYS1)</key>\s*<string>)[^<>]+(</string>)@\$${1}$$V\$${3}@g; \
       s@(<key>($$KEYS2)</key>\s*<string>[^\d]+)[\d.]+(.*?</string>)@\$${1}$$V\$${3}@gs; \
       s@(<key>($$KEYS2)</key>\s*<string>.*?1991-)\d\d\d\d(.*?</string>)@\$${1}$$Y\$${3}@gs" \
    < $$S > $$T ;							    \
   if cmp -s $$S $$T ; then						    \
     echo "unchanged." ;						    \
   else									    \
    cat $$T > $$S ;							    \
    echo "done." ;							    \
   fi ;									    \
   rm $$T ;								    \
  done


update_bindist_version:
	@								    \
  SS="bindist.rtf Credits.html" ;					    \
  U=../version.h ;							    \
  V=`sed -n 's/[^0-9]*\([0-9]\.[0-9][^. ;]*\).*/\1/p' < $$U` ;		    \
  D=`date '+%d-%b-%Y'` ;						    \
  Y=`date '+%Y'` ;							    \
  for S in $$SS ; do							    \
   T=/tmp/xs.$$$$ ;							    \
   sed -e "s/\(.*version \)[0-9][0-9]*\.[0-9]*[ab]*[0-9]*\(.*\)/\1$$V\2/"   \
       -e "s/\(1991-\)[0-9][0-9][0-9][0-9]/\1$$Y/"			    \
       -e "s/\([0-9][0-9]-[A-Z][a-z][a-z]-[0-9][0-9][0-9]*\)/$$D/"	    \
      < $$S > $$T ;							    \
   if cmp -s $$S $$T ; then						    \
    true ;								    \
   else									    \
    cat $$T > $$S ;							    \
    echo "updated $$S to $$V $$D" ;					    \
   fi ;									    \
  done ;								    \
  rm $$T


updates.xml::
	./updates.pl DaliClock ../README ../archive ~/www/xdaliclock
	@$(MAKE2) test_sig

test_sig::
	@								    \
  U=../version.h ;							    \
  V=`sed -n 's/[^0-9]*\([0-9]\.[0-9][^. ;]*\).*/\1/p' < $$U` ;		    \
  V2="$$V" ;								      \
  V=`echo $$V | sed 's/\.//g'` ;					    \
  ZIP="../archive/DaliClock-$$V.dmg" ;					    \
  OV=`sed -n 's/^.*<title>Version \([^<>]*\).*/\1/p' updates.xml | head -1`;\
  if [ "x$$V2" != "x$$OV" ] ; then					    \
    echo "updates.xml: file version is $$OV instead of $$V2" 2>&2 ;	    \
    exit 1 ; 								    \
  fi ;									    \
  SIG1=`sed -n 's/^.*dsaSignature="\(.*\)".*/\1/p' updates.xml` ;	    \
  SIG2=`sed -n  's/^.*edSignature="\(.*\)".*/\1/p' updates.xml` ;	    \
  PUB1="sparkle_dsa_pub.pem" ;						    \
  NN="t.$$$$" ;								    \
  SIGB=/tmp/$$NN.sig ;							    \
  HASH=/tmp/$$NN.hash ;							    \
  rm -f "$$SIGB" "$$HASH" ;						    \
  if ( echo "$$SIG1" | grep -qi ERROR ); then				    \
    echo "No DSA signature in updates.xml" >&2 ; exit 1 ;		    \
  fi ;									    \
  if ( echo "$$SIG2" | grep -qi ERROR ); then				    \
    echo "No ED signature in updates.xml" >&2 ; exit 1 ;		    \
  fi ;									    \
									    \
  set -e ;								    \
  echo "$$SIG1 " | base64 -D  > "$$SIGB" ;				    \
  for OPENSSL in /usr/bin/openssl /opt/local/bin/openssl ; do		    \
    $$OPENSSL dgst -sha1 -binary  < "$$DMG"  > "$$HASH" ;		    \
    /bin/echo -n "DSA $$OPENSSL    	`$$OPENSSL version`:	" ;	    \
    $$OPENSSL dgst -sha1 -verify "$$PUB1" -signature "$$SIGB" "$$HASH" ;    \
  done ;								    \
  echo "Warning: not verifying edSignature because I don't know how..." ;   \
									    \
  rm -f "$$SIGB" "$$HASH" ;						    \


# Can no longer do: ${TARGET_BUILD_DIR}/DaliClock.wdgt
# It causes code-signing to fail with "a sealed resource is missing or
# invalid", and if we set the icon before signing (with a build phase on
# DaliClockWidget) then signing fails with "resource fork, Finder
# information, or similar detritus not allowed".


dmg:: distdepend check_versions _dmg notarize staple

_dmg::
	@								      \
  set -e ;								      \
  SRC=../version.h ;							      \
  V=`sed -n 's/[^0-9]*\([0-9]\.[0-9][^. ;]*\).*/\1/p' $$SRC` ;		      \
  V2="$$V" ;								      \
  V=`echo $$V | sed 's/\.//g'` ;					      \
  TMPDIR="build" ;							      \
  SRC="build/Release" ;							      \
  BASE="DaliClock-$$V" ;						      \
  OUTDIR="../archive" ;							      \
  DMG="$$OUTDIR/$$BASE.dmg" ;						      \
  TMPDMG="$$TMPDIR/tmp.dmg" ;						      \
  VOLNAME="DaliClock $$V2" ;						      \
  STAGE="$$TMPDIR/dmg_stage" ;						      \
  rm -f "$$DMG" ;							      \
  rm -rf "$$STAGE" ;							      \
  echo + mkdir "$$STAGE" ;						      \
         mkdir "$$STAGE" ;						      \
  FILES="$$SRC/*.app $$SRC/*.saver $$SRC/*.wdgt" ;			      \
  echo + cp -pR $$FILES "$$STAGE" ;					      \
         cp -pR $$FILES "$$STAGE" ;					      \
  set -x ;								      \
  cp -p bindist.rtf "$$STAGE/ READ ME.rtf" ;				      \
  cp -p bindist-DS_Store "$$STAGE/.DS_Store" ;				      \
  cp -p bindist.webloc "$$STAGE/DaliClock for iOS.webloc" ;		      \
  cp -p bindist2.webloc "$$STAGE/DaliClock for Android.webloc" ;	      \
  ${SETFILE} -a E "$$STAGE/ READ ME.rtf" ;				      \
  ${SETFILE} -a e $$STAGE/*.saver ;					      \
  ${SETFILE} -a e $$STAGE/*.wdgt ;					      \
  ${SETFILE} -a E $$STAGE/*.webloc ;					      \
  $(SETICON) -d daliclockSaver.icns $$STAGE/*.saver ;			      \
  $(SETICON) -d weblociOS.icns $$STAGE/*iOS*.webloc ;			      \
  $(SETICON) -d weblocAndroid.icns $$STAGE/*Android*.webloc ;		      \
									      \
  set +x ;								      \
									      \
  echo "Chowning..." ;							      \
  sudo chown -R root:wheel "$$STAGE/"* ;				      \
									      \
  echo "Checking signatures..." ;					      \
  if false; then							      \
    spctl --assess --type execute "$$STAGE/"*.app ;			      \
    spctl --assess --type install "$$STAGE/"*.{saver,wdgt} ;		      \
  else									      \
    true codesign -vv --deep --strict "$$DST/"*.app ;			      \
    true codesign -vv --deep --strict "$$DST/"*.saver ;			      \
  fi ;									      \
									      \
  set -x ;								      \
									      \
  hdiutil makehybrid -quiet -ov -hfs -hfs-volume-name "$$VOLNAME"	      \
    -hfs-openfolder "$$STAGE" "$$STAGE" -o "$$TMPDMG" ;			      \
  echo "Deleting..." ;							      \
  sudo rm -rf "$$STAGE" ;						      \
									      \
  hdiutil convert -quiet -ov -format UDBZ -imagekey zlib-level=9	      \
    "$$TMPDMG" -o "$$DMG" ;						      \
  xattr -w com.apple.quarantine "0000;00000000;;" "$$DMG" ;		      \
  rm -f "$$TMPDMG" ;							      \
									      \
  codesign --sign $(CERT2) "$$DMG" ;					      \
  if false; then							      \
    spctl --assess --type install "$$DMG" ;				      \
  else									      \
    codesign -vvv --deep --strict "$$DMG" ;				      \
  fi ;									      \
									      \
  ls -ldhgF "$$DMG" ;							      \


# To set up notarization:
#  - Log in on https://appleid.apple.com/
#  - Generate App-Specific Password, "altool-notarizer"
#  - Keychain Access / New
#  - Name: "altool-notarizer", Account: "jwz@jwz.org",
#    Pass: the one you just generated.
#
# As of Xcode 13, "altool" is obsolete because of course it is.
# The new way is "notarytool".
#
# "make notarize" will upload the DMG (slow).
#
# Note that if Sparkle.framework/.../Autoupdate.app is not independently
# signed, it won't pass. I had to add a build phase for that.
#
# - xcrun notarytool store-credentials --apple-id jwz@jwz.org
#   - Profile name: altool-notarizer
#   - App-specific password: [the above]
#   - Developer Team ID: 4627ATJELP
# - Credentials saved to Keychain.
#   To use them, specify `--keychain-profile "altool-notarizer"
#
#NOTARGS=-u "jwz@jwz.org" -p "@keychain:altool-notarizer"


# Send a notarization request, and then wait for the result.
#
notarize::
	@								      \
  set -e ;								      \
  SRC=../version.h ;							      \
  V=`sed -n 's/[^0-9]*\([0-9]\.[0-9][^. ;]*\).*/\1/p' $$SRC` ;		      \
  V=`echo $$V | sed 's/\.//g'` ;					      \
  BASE="DaliClock-$$V" ;						      \
  OUTDIR="../archive" ;							      \
  DMG="$$OUTDIR/$$BASE.dmg" ;						      \
  CMD="xcrun notarytool submit $$DMG" ;					      \
  CMD="$$CMD --keychain-profile altool-notarizer" ;			      \
  CMD="$$CMD --apple-id jwz@jwz.org --team-id 4627ATJELP --wait" ;	      \
  echo "+ $$CMD" ;  							      \
  echo "" ;								      \
  RET=`$$CMD` ;  							      \
  echo "$$RET";  							      \
  echo "" ;								      \
  ID=`echo "$$RET" | sed -n 's/.*id: *\([^ ]*\).*/\1/p' | head -1` ;	      \
  STATUS=`echo "$$RET" | sed -n 's/.*status: *\([^ .]*\).*/\1/p' | head -1` ; \
  if [ "x$$ID" = "x" ]; then						      \
    echo "unparsable ID" ;						      \
    exit 1 ;								      \
  fi ;									      \
  if [ x"$$STATUS" != "xAccepted" ]; then				      \
    echo "ERROR: Bad status: $$STATUS" ;				      \
    echo "" ;								      \
    CMD="xcrun notarytool log $$ID --keychain-profile altool-notarizer" ;     \
    echo "+ $$CMD" ;  							      \
    $$CMD ;								      \
    exit 1 ;								      \
  fi ;									      \
  echo "Notarization success: $$STATUS" ;				      \
  exit 0


# Uploading the DMG to the notarizer generated a gatekeeper ticket for
# each enclosed item.  Staple those tickets to the DMG file.
#
# If we had uploaded a .zip, we would need to staple to the enclosed item

=== android/Makefile ===
# Dali Clock for Android, Copyright (c) 2015 by Robin Müller-Cajar.

TITLE		= Dali Clock
TARGET		= DaliClock
TARGET2		= daliclock
VENDOR		= Jamie Zawinski (Robin Müller-Cajar)
VERSION		= $(shell sed -n \
			's/^.*\([0-9][0-9]*\.[0-9][0-9]*\).*$$/\1/p' \
			< ../version.h)
VERSION_NUM	=  $(shell sed -n \
			's/^.*\([0-9][0-9]*\)\.\([0-9][0-9]*\).*$$/\1\2/p' \
			< ../version.h)
TOOLS_VERSION	= $(shell sed -n \
			's/^.*buildToolsVersion."\([^"]*\)".*$$/\1/p' \
			< $(TARGET)/app/build.gradle)
ID		= org.jwz.$(TARGET2)
APK		= $(TARGET)-$(VERSION_NUM).apk
CERT		= my-keystore.keystore

CC		= gcc
CFLAGS		= -g -Wall -Wstrict-prototypes -Wnested-externs
LDFLAGS		= 
DEFINES		= -DBUILTIN_FONTS
INCLUDES	= -I. -I../font -I../OSX
OBJS		= buildnumbers.o

FONTDIR		= $(TARGET)/app/src/main/res/raw
NUMBERS		= $(FONTDIR)/font0.json \
		  $(FONTDIR)/font1.json \
		  $(FONTDIR)/font2.json \
		  $(FONTDIR)/font3.json \
		  $(FONTDIR)/font4.json \
		  $(FONTDIR)/font5.json \
		  $(FONTDIR)/font6.json \
		  $(FONTDIR)/font7.json \

default: apk

clean:
	rm -f *.o buildnumbers

gradle_clean:
	cd $(TARGET); ./gradlew clean

distclean:: clean gradle_clean
	rm -rf $(TARGET)/build
	rm -f  $(TARGET)/local.properties
	rm -f  $(TARGET)/.idea/workspace.xml
	rm -rf $(TARGET)/.idea/libraries
	rm -rf $(TARGET)/.gradle
	rm -f  $(TARGET)/app/manifest-merger-release-report.txt
	rm -rf $(TARGET)/app/libs
	rm -rf sign-*


distdepend:: update_gradle_version update_gradle_app_id

echo_tarfiles:
	@echo `find . \
	  \( \( -name '*~*' -o -name '*.o' \
		-o -name buildnumbers -o -name '*.apk' \
		-o -name '*report.txt' \
		-o -name 'local.properties' \
		-o -name 'workspace.xml' \
		-o -name '.gradle' \
		-o -name 'libraries' \
		-o -name '.DS_Store' \
		-o -name 'build' \
		-o -name '*.keystore' \
	      \) \
	     -prune \) \
	  -o -type f -print \
	| sed 's@^\./@@' \
	| sort`


buildnumbers.o:
	$(CC) -c $(INCLUDES) $(DEFINES) $(CFLAGS) ../font/buildnumbers.c

buildnumbers: buildnumbers.o
	$(CC) $(LDFLAGS) -o $@ $(OBJS)

$(NUMBERS): buildnumbers

$(FONTDIR)/font0.json:
	./buildnumbers 0 > $@
$(FONTDIR)/font1.json:
	./buildnumbers 1 > $@
$(FONTDIR)/font2.json:
	./buildnumbers 2 > $@
$(FONTDIR)/font3.json:
	./buildnumbers 3 > $@
$(FONTDIR)/font4.json:
	./buildnumbers 4 > $@
$(FONTDIR)/font5.json:
	./buildnumbers 5 > $@
$(FONTDIR)/font6.json:
	./buildnumbers 6 > $@
$(FONTDIR)/font7.json:
	./buildnumbers 7 > $@

all:: $(NUMBERS)


# Create my-keystore.keystore with:
#   keytool -genkey -v -keystore my-keystore.keystore -alias daliclock \
#           -keyalg RSA -keysize 2048 -validity 10000
# Keep that file secret!  It is your private key.
# You can of course use any existing keystore if you already have one.

sign: get_zipalign
	@\
  if [ ! -f "$(CERT)" ]; then						\
    /bin/echo "$(CERT) does not exist! Generate one. See Makefile." ;	\
    exit 1 ;								\
  fi ;									\
  /bin/echo -n "Signing  \"$(APK)\"... " ;				\
  STAGE=sign-$$$$ ;							\
  rm -rf $$STAGE ;							\
  mkdir $$STAGE ;							\
  cd $$STAGE ;								\
  mv ../$(TARGET)/app/build/outputs/apk/app-release-unsigned.apk ./$(APK); \
  jarsigner -verbose -sigalg SHA1withRSA -digestalg SHA1 -keystore ../$(CERT) \
    $(APK) $(TARGET2);							\
  if [ ! -f "$(ZIPALIGN)" ]; then					\
    /bin/echo "Cannot find zipalign in build-tools:"; 			\
    /bin/echo "$(ZIPALIGN)"; 						\
    /bin/echo "As ANDROID_HOME is valid, please check you have got the build-tools defined in"; \
    /bin/echo "$(TARGET)/app/build.gradle";				\
    /bin/echo "Or make build-tools part of your PATH variable";		\
    /bin/echo "";							\
    /bin/echo "The created apk will still work, but it might use more memory than neccessary!"; \
    mv $(APK) ../$(APK);						\
  else									\
    $(ZIPALIGN) -v 4 $(APK) $(APK).aligned; 				\
    mv $(APK).aligned ../$(APK) ;					\
  fi ;									\
  cd .. ;								\
  rm -rf $$STAGE ;							\
  mv $(APK) ../archive/"$(APK)" ;					\
  ls -ldhgF ../archive/"$(APK)" ;					\


get_zipalign:
  ifndef ZIPALIGN
    ZIPALIGN = $(shell which zipalign 2>&- )
  endif
  ifeq ($(strip $(ZIPALIGN)),)
    ZIPALIGN = $(ANDROID_HOME)/build-tools/$(TOOLS_VERSION)/zipalign
  endif


apk: apk_raw sign

apk_raw: $(NUMBERS) ../version.h update_gradle_version update_gradle_app_id check_android_home
	cd $(TARGET); ./gradlew assembleRelease

check_android_home:
  ifndef ANDROID_HOME
    ANDROID_HOME    := $(shell sed -n \
			's/^.*sdk\.dir.\(.*\)[ ]*$$/\1\//p' \
			< $(TARGET)/local.properties)
  endif
  ifeq ($(strip $(ANDROID_HOME)),)
    $(error Cannot find the Android SDK - Please set the ANDROID_HOME variable to your android-sdk directory) 
  endif

update_gradle_app_id:
	@S="$(TARGET)/app/build.gradle" ;				\
  /bin/echo -n "Updating application id in $$S to $(ID)... " ;		\
  T=/tmp/xs.$$$$ ;							\
  sed -e "s/^\(.*applicationId.*\"\).*\(\".*\)$$/\1$(ID)\2/"	      	\
     < $$S > $$T ;							\
  if cmp -s $$S $$T ; then						\
    echo "unchanged." ;							\
  else									\
    cat $$T > $$S ;							\
    echo "done." ;							\
  fi ;									\
  rm $$T

update_gradle_version:
	@S="$(TARGET)/app/build.gradle" ;				\
  DATE=`date +%d-%h-%Y` ;						\
  NAME="${VERSION}, $$DATE" ;						\
  CODE="${VERSION_NUM}" ;						\
  /bin/echo -n "Updating version in $$S to $$CODE, \"$$NAME\"... " ;	\
  T=/tmp/xs.$$$$ ;							\
  sed -e "s/^\(.*versionCode\).*/\1 $$CODE/"				\
      -e "s/^\(.*versionName\).*/\1 \"$$NAME\"/"			\
     < $$S > $$T ;							\
  if cmp -s $$S $$T ; then						\
    echo "unchanged." ;							\
  else									\
    cat $$T > $$S ;							\
    echo "done." ;							\
  fi ;									\
  rm $$T


tail_log:
	$(ANDROID_HOME)/platform-tools/adb logcat -v tag 'DaliClock:V' '*:S'

=== pebble/Makefile ===
# Makefile.in --- xdaliclock, Copyright (c) 1999 Jamie Zawinski.
# the `configure' script generates `Makefile' from this file.

TARFILES = README Makefile appinfo.json wscript \
	   src/*.[ch] \
	   resources/images/*.png

all::
	pebble build

clean::
	-rm -rf build

distclean:: clean
	-rm -f *.bak *.rej *~ "#"*

echo_tarfiles:
	@echo $(TARFILES)

=== debian/changelog ===
xdaliclock (2.46-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
    + Drop unnecessary dependency on dh-autoreconf.
    + Updated for upstream changes. Thanks Barak A. Pearlmutter.
  * debian/patches:
    + Dropped cross.patch, obsolete now.
    + Added patches from Barak A. Pearlmutter:
      + 0001-autotools.patch: Fix upstream autotools scripts.
      + 0003-spelling.patch: Fix typos.
  * Removed debian/menu, obsolete now.
  * Updated Build-Deps.
  * Updated debian/copyright.

 -- Kartik Mistry <kartik@debian.org>  Fri, 02 Sep 2022 20:06:40 +0530

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,10 @@
 Section: x11
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dpkg-dev (>= 1.16.1.1),
-               libx11-dev,
-               libxext-dev,
-               libxt-dev,
-               x11proto-core-dev
+               libgl-dev,
+               libglib2.0-dev,
+               libgtk-3-dev,
+               pkg-config
 Maintainer: Kartik Mistry <kartik@debian.org>
 Standards-Version: 4.6.1
 Homepage: https://www.jwz.org/xdaliclock/

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --sourcedirectory=X11

override_dh_installchangelogs:
	dh_installchangelogs README

## xdaliclock 2.48

=== android/Makefile ===
--- 
+++ 
@@ -34,12 +34,13 @@
 		  $(FONTDIR)/font6.json \
 		  $(FONTDIR)/font7.json \
 
-default: apk
+default:: release
+all: debug release
 
-clean:
+clean::
 	rm -f *.o buildnumbers
 
-gradle_clean:
+gradle_clean::
 	cd $(TARGET); ./gradlew clean
 
 distclean:: clean gradle_clean
@@ -99,61 +100,48 @@
 $(FONTDIR)/font7.json:
 	./buildnumbers 7 > $@
 
-all:: $(NUMBERS)
+_deps:: update_gradle_version update_gradle_app_id check_android_home
+debug::   $(NUMBERS) ../version.h _deps
+release:: $(NUMBERS) ../version.h _deps
+debug::
+	cd $(TARGET) && ./gradlew assembleDebug
+release::
+	cd $(TARGET) && ./gradlew assembleRelease
 
 
-# Create my-keystore.keystore with:
-#   keytool -genkey -v -keystore my-keystore.keystore -alias daliclock \
-#           -keyalg RSA -keysize 2048 -validity 10000
-# Keep that file secret!  It is your private key.
-# You can of course use any existing keystore if you already have one.
+KEYSTORE = my-keystore.keystore
+$(KEYSTORE):
+	keytool -genkey -v -keystore $@ \
+	-alias daliclock -keyalg RSA -keysize 2048 -validity 10000
 
-sign: get_zipalign
+APK_DIR       = daliclock/app/build/outputs/apk/release/
+APK_UNSIGNED  = $(APK_DIR)app-release-unsigned.apk
+APK_SIGNED    = $(APK_DIR)app-release.apk
+
+  TOOLDIR = $(shell ls -d $$HOME/Library/Android/sdk/build-tools/* | tail -1)
+ ZIPALIGN = $(TOOLDIR)/zipalign
+APKSIGNER = $(TOOLDIR)/apksigner
+
+sign_release::
+	rm -f $(APK_SIGNED)
+	$(ZIPALIGN) -v 4 $(APK_UNSIGNED) $(APK_SIGNED)
+	$(APKSIGNER) sign --ks $(KEYSTORE) $(APK_SIGNED)
+	$(APKSIGNER) verify $(APK_SIGNED)
+	@ls -lF $(APK_SIGNED)
+	stty -echo
+
+apk:: release
 	@\
-  if [ ! -f "$(CERT)" ]; then						\
-    /bin/echo "$(CERT) does not exist! Generate one. See Makefile." ;	\
-    exit 1 ;								\
+  SRC=../version.h ;							    \
+  VERS=`sed -n 's/[^0-9]*\([0-9]\.[0-9][^. \"]*\).*/\1/p' < $$SRC |	    \
+	sed 's/\.//g' | head -1`;					    \
+  HEAD="DaliClock-$$VERS" ;						    \
+  if [ ! -s $(APK_SIGNED) -o $(APK_UNSIGNED) -nt $(APK_SIGNED) ]; then	\
+    $(MAKE) sign_release ;						\
   fi ;									\
-  /bin/echo -n "Signing  \"$(APK)\"... " ;				\
-  STAGE=sign-$$$$ ;							\
-  rm -rf $$STAGE ;							\
-  mkdir $$STAGE ;							\
-  cd $$STAGE ;								\
-  mv ../$(TARGET)/app/build/outputs/apk/app-release-unsigned.apk ./$(APK); \
-  jarsigner -verbose -sigalg SHA1withRSA -digestalg SHA1 -keystore ../$(CERT) \
-    $(APK) $(TARGET2);							\
-  if [ ! -f "$(ZIPALIGN)" ]; then					\
-    /bin/echo "Cannot find zipalign in build-tools:"; 			\
-    /bin/echo "$(ZIPALIGN)"; 						\
-    /bin/echo "As ANDROID_HOME is valid, please check you have got the build-tools defined in"; \
-    /bin/echo "$(TARGET)/app/build.gradle";				\
-    /bin/echo "Or make build-tools part of your PATH variable";		\
-    /bin/echo "";							\
-    /bin/echo "The created apk will still work, but it might use more memory than neccessary!"; \
-    mv $(APK) ../$(APK);						\
-  else									\
-    $(ZIPALIGN) -v 4 $(APK) $(APK).aligned; 				\
-    mv $(APK).aligned ../$(APK) ;					\
-  fi ;									\
-  cd .. ;								\
-  rm -rf $$STAGE ;							\
-  mv $(APK) ../archive/"$(APK)" ;					\
-  ls -ldhgF ../archive/"$(APK)" ;					\
+  set -x ;								\
+  cp -p $(APK_SIGNED) ../archive/$$HEAD.apk
 
-
-get_zipalign:
-  ifndef ZIPALIGN
-    ZIPALIGN = $(shell which zipalign 2>&- )
-  endif
-  ifeq ($(strip $(ZIPALIGN)),)
-    ZIPALIGN = $(ANDROID_HOME)/build-tools/$(TOOLS_VERSION)/zipalign
-  endif
-
-
-apk: apk_raw sign
-
-apk_raw: $(NUMBERS) ../version.h update_gradle_version update_gradle_app_id check_android_home
-	cd $(TARGET); ./gradlew assembleRelease
 
 check_android_home:
   ifndef ANDROID_HOME

=== pebble/wscript ===

#
# This file is the default set of rules to compile a Pebble project.
#
# Feel free to customize this to your needs.
#

top = '.'
out = 'build'

def options(ctx):
    ctx.load('pebble_sdk')

def configure(ctx):
    ctx.load('pebble_sdk')

def build(ctx):
    ctx.load('pebble_sdk')

    ctx.pbl_program(source=ctx.path.ant_glob('src/**/*.c'),
                    target='pebble-app.elf')

    ctx.pbl_bundle(elf='pebble-app.elf',
                   js=ctx.path.ant_glob('src/js/**/*.js'))

=== webos/Makefile ===
# Dali Clock for Palm WebOS, Copyright (c) 2009 by Jamie Zawinski.

TITLE		= Dali Clock
TARGET		= DaliClock
TARGET2		= daliclock
VENDOR		= Jamie Zawinski
VERSION		= $(shell sed -n \
			's/^.*\([0-9][0-9]*\.[0-9][0-9]*\).*$$/\1.0/p' \
			< ../version.h)
ID		= org.jwz.$(TARGET2)
IPK		= $(ID)_$(VERSION)_all.ipk
DEVDIR		= /opt/PalmSDK/Current/bin
DEVICE		= tcp
CERT		= cert.pem

CC		= gcc
CFLAGS		= -g -Wall -Wstrict-prototypes -Wnested-externs
LDFLAGS		= 
DEFINES		= -DBUILTIN_FONTS
INCLUDES	= -I. -I../font -I../OSX
OBJS		= buildnumbers.o

FONTDIR		= $(TARGET)/images
NUMBERS		= $(FONTDIR)/font0.json \
		  $(FONTDIR)/font1.json \
		  $(FONTDIR)/font2.json \
		  $(FONTDIR)/font3.json \
		  $(FONTDIR)/font4.json \
		  $(FONTDIR)/font5.json

default: ipk

clean:
	rm -f *.o buildnumbers

distclean: clean
	find . \( \
	  -name '*.bak' -o -name '*.rej' -o -name '*~' -o -name '#*' \
	  \) -exec rm '{}' \;

distdepend:: update_release_date

echo_tarfiles:
	@echo `find . \
	  \( \( -name '.??*' -o -name CVS -o -name '*~*' -o -name '*.o' \
		-o -name buildnumbers -o -name '*.pem' -o -name '*.ipk' \
		-o -name '*.jpg' \
	      \) \
	     -prune \) \
	  -o -type f -print \
	| sed 's@^\./@@' \
	| sort`


buildnumbers.o:
	$(CC) -c $(INCLUDES) $(DEFINES) $(CFLAGS) ../font/buildnumbers.c

buildnumbers: buildnumbers.o
	$(CC) $(LDFLAGS) -o $@ $(OBJS)

$(NUMBERS): buildnumbers

$(FONTDIR)/font0.json:
	./buildnumbers 0 > $@
$(FONTDIR)/font1.json:
	./buildnumbers 1 > $@
$(FONTDIR)/font2.json:
	./buildnumbers 2 > $@
$(FONTDIR)/font3.json:
	./buildnumbers 3 > $@
$(FONTDIR)/font4.json:
	./buildnumbers 4 > $@
$(FONTDIR)/font5.json:
	./buildnumbers 5 > $@

all:: $(NUMBERS)


# Create cert.pem with:
#  openssl req -x509 -nodes -days 3650 -newkey rsa:1024 \
#   -keyout cert.pem -out cert.pem
# Keep that file secret!  It is your private key.

sign:
	@\
  if [ ! -f "$(CERT)" ]; then						      \
    echo "$(CERT) does not exist! Generate one. See Makefile." ;	      \
    exit 1 ;								      \
  fi ;									      \
  /bin/echo -n "Generating signature for \"$(IPK)\"... " ;		      \
  STAGE=sign-$$$$ ;							      \
  rm -rf $$STAGE ;							      \
  mkdir $$STAGE ;							      \
  cd $$STAGE ;								      \
  PUBKEY=pubkey.pem ;							      \
  SIG=signature.sha1 ;							      \
  openssl rsa -in ../$(CERT) -pubout -out $$PUBKEY 2>/dev/null ;	      \
  ar -x ../$(IPK) ;							      \
  FILES="control.tar.gz data.tar.gz debian-binary" ;			      \
  cat $$FILES | openssl dgst -sha1 -sign ../$(CERT) -out $$SIG ;	      \
  cat $$FILES | openssl dgst -sha1 -verify $$PUBKEY -signature $$SIG ;	      \
  FILES="$$FILES $$PUBKEY $$SIG" ;					      \
  touch -r ../$(IPK) $$FILES ;						      \
  ar -cr $(IPK) $$FILES ;						      \
  if cmp -s $(IPK) ../$(IPK) ; then					      \
    echo "Unchanged." ;							      \
  else									      \
    cat $(IPK) > ../$(IPK) ;						      \
    echo "Signature installed." ;					      \
  fi ;									      \
  cd .. ;								      \
  rm -rf $$STAGE


ipk: $(NUMBERS) ../version.h update_release_date
	$(DEVDIR)/palm-package --exclude CVS --exclude '*~' $(TARGET)
	$(MAKE) sign


update_release_date::
	@S="$(TARGET)/appinfo.json" ;					      \
  DATE=`date +%d-%h-%Y` ;						      \
  /bin/echo -n "Updating version in $$S to $(VERSION)/$$DATE... " ;	      \
  T=/tmp/xs.$$$$ ;							      \
  sed -e "s/^\(.*\"release_date\":.*\"\).*\(\".*\)$$/\1$$DATE\2/"	      \
      -e "s/^\(.*\"version\":.*\"\).*\(\".*\)$$/\1$(VERSION)\2/"	      \
     < $$S > $$T ;							      \
  if cmp -s $$S $$T ; then						      \
    echo "unchanged." ;							      \
  else									      \
    cat $$T > $$S ;							      \
    echo "done." ;							      \
  fi ;									      \
  rm $$T


palm-generate-app:
	@								      \
  if [ -d $(TARGET) ]; then						      \
    echo "$(TARGET)/ already exists" ;					      \
    exit 1 ;								      \
  fi
	$(DEVDIR)/palm-generate \
	  -p "{title:'$(TITLE)', id:$(ID), version:'$(VERSION)'}" $(TARGET)
	perl -pi -e 's/My Company/$(VENDOR)/g' $(TARGET)/appinfo.json

palm-generate-scene:
	@D=$(TARGET)/app/views/clock ;					      \
  if [ -d $$D ]; then							      \
    echo "$$D/ already exists" ;					      \
    exit 1 ;								      \
  fi
	$(DEVDIR)/palm-generate -t new_scene -p "name=Clock" $(TARGET)


palm-install:
	$(DEVDIR)/palm-install -d $(DEVICE) $(IPK)

palm-launch:
	$(DEVDIR)/palm-launch -d $(DEVICE) $(ID)

palm-kill:
	$(DEVDIR)/palm-launch -d $(DEVICE) -c $(ID) ; exit 0

reset-emulator:
	killall VirtualBoxVM
	rm $$HOME/Library/VirtualBox/Machines/Palm*/*.xml

test:: ipk palm-kill palm-install palm-launch

=== debian/changelog ===
xdaliclock (2.48-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:37:04 +1100

xdaliclock (2.48-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 08:09:11 +0000

xdaliclock (2.48-1) unstable; urgency=medium

  * New upstream release
    - Fixes memory leak in X11 code
  * New maintainer (Closes: #1052300)
  * Bump Standards-Version to 4.6.2 (no changes needed)
  * Build-depends on pkgconf instead of pkg-config
  * d/copyright: Add stanza for OSX/Sparkle.framework
  * d/p/0001-autotools.patch: Reworked so autoreconf works
  * d/rules: Build with autoreconf

 -- Tormod Volden <debian.tormod@gmail.com>  Wed, 21 Feb 2024 18:46:48 +0100

xdaliclock (2.47-1) UNRELEASED; urgency=low

  * New upstream release.
  * debian/control:
    + Updated Build-Deps.

 -- Kartik Mistry <kartik@debian.org>  Sat, 03 Sep 2022 10:37:36 +0530

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
                libgl-dev,
                libglib2.0-dev,
                libgtk-3-dev,
-               pkg-config
-Maintainer: Kartik Mistry <kartik@debian.org>
-Standards-Version: 4.6.1
+               pkgconf
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Tormod Volden <debian.tormod@gmail.com>
+Standards-Version: 4.6.2
 Homepage: https://www.jwz.org/xdaliclock/
 Vcs-Git: https://salsa.debian.org/debian/xdaliclock.git
 Vcs-Browser: https://salsa.debian.org/debian/xdaliclock

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --sourcedirectory=X11 --with autoreconf

override_dh_installchangelogs:
	dh_installchangelogs README
